__PLATFORM_DRIVER_PR(9)

NAME
__platform_driver_probe - register driver for non-hotpluggable device

SYNOPSIS

int __platform_driver_probe(struct platform_driver * drv, int (*probe) (struct platform_device *), struct module * module);

ARGUMENTS

drv
    platform driver structure

probe
    the driver probe routine, probably from an __init section

module
    module which will be the owner of the driver

DESCRIPTION

Use this instead of platform_driver_register when you know the device is not hotpluggable and has already been registered, and you want to remove its run-once probe infrastructure from memory after the driver has bound to the device.

One typical use for this would be with drivers for controllers integrated into system-on-chip processors, where the controller devices have been configured as part of board setup.

Note that this is incompatible with deferred probing.

Returns zero if the driver registered and bound to a device, else returns a negative error code and with the driver not registered.

COPYRIGHT